list streaming endpoint skus.md

List Streaming Endpoint SKUs

Media API · Streaming Endpoints

GET https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/skus

This API is not implemented.

RBAC Capability Required: ams.streamingendpoint.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes
endpoint_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/skus" \
  -H "Authorization: Bearer <token>"

Responses

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/skus